Subject: [mac80211 ] Wifi Network slownes bisected

From: Alejandro Riveira Fernández<[email-masked]>
Date: Thu, 21 May 2009 17:38:39 +0200

I have a rt2500pci card

 I noticed that my wifi connection has slowed when stitching
from 2.6.29.1 to 2.6.29.4 (it is also slow on 30-rc6)
Also 2.6.27 (ubuntu) does not suffer it.

 I bisected and came to the following commit as the culprit

 I can test patches and if you need more info just ask.

$ git bisect good
64e1b00c974ddeae6a60ebb02e1c487371905cea is first bad commit
commit 64e1b00c974ddeae6a60ebb02e1c487371905cea
Author: Johannes Berg <[email-masked]>
Date:   Fri Apr 24 16:05:16 2009 +0000

    mac80211: fix basic rate bitmap calculation
    
    upstream commit: 7e0986c17f695952ce5d61ed793ce048ba90a661
    
    "mac80211: fix basic rates setting from association response"
    introduced a copy/paste error.
    
    Unfortunately, this not just leads to wrong data being passed
    to the driver but is remotely exploitable for some hardware or
    driver combinations.
    
    Signed-off-by: Johannes Berg <[email-masked]>
    Signed-off-by: John W. Linville <[email-masked]>
    Signed-off-by: Chris Wright <[email-masked]>

:040000 040000 e9e479210b46ae45f9c84badd57039df44d4077c
ea0b719e549849446e62e065b2570fab5a801895 M      net

 Bisect Log
$ git bisect log
git bisect start
# bad: [186f9b18b94afd0b75a8ec1b394b0f119d479eb6] Linux 2.6.29.4
git bisect bad 186f9b18b94afd0b75a8ec1b394b0f119d479eb6
# good: [8e0ee43bc2c3e19db56a4adaa9a9b04ce885cd84] Linux 2.6.29
git bisect good 8e0ee43bc2c3e19db56a4adaa9a9b04ce885cd84
# good: [fda28853bc4bc053ef2fafb5c7d2a26e6ce4b4bf] KVM: Fix missing smp tlb flush in invlpg
git bisect good fda28853bc4bc053ef2fafb5c7d2a26e6ce4b4bf
# bad: [7843dcfe1115e9412e6e83492e17f9c75b5a062d] mv643xx_eth: OOM handling fixes
git bisect bad 7843dcfe1115e9412e6e83492e17f9c75b5a062d
# bad: [87b59eac0914ab407df57fe23d880dccd9a9436d] virtio-rng: Remove false BUG for spurious callbacks
git bisect bad 87b59eac0914ab407df57fe23d880dccd9a9436d
# good: [24016c735e651f179692432f18176348caeb82b0] scsi: mpt: suppress debugobjects warning
git bisect good 24016c735e651f179692432f18176348caeb82b0
# good: [5c47524b514b5bb3732c3b893338a210d67da3cd] thinkpad-acpi: fix LED blinking through timer trigger
git bisect good 5c47524b514b5bb3732c3b893338a210d67da3cd
# bad: [d595990048ad17ba7b0ad50438ed64f88b7c25ca] KVM: MMU: disable global page optimization
git bisect bad d595990048ad17ba7b0ad50438ed64f88b7c25ca
# bad: [64e1b00c974ddeae6a60ebb02e1c487371905cea] mac80211: fix basic rate bitmap calculation
git bisect bad 64e1b00c974ddeae6a60ebb02e1c487371905cea
# good: [d2d83e1f527b6b0faf15d54b22c032ed5812d054] ALSA: us122l: add snd_us122l_free()
git bisect good d2d83e1f527b6b0faf15d54b22c032ed5812d054